> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dashboard

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/dashboard
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/dashboard:
    get:
      tags:
        - admin
      summary: Get Dashboard
      operationId: getDashboard
      parameters:
        - name: memoryId
          in: query
          required: false
          schema:
            type: string
        - name: days
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 7
            maximum: 30
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultAdminDashboardView'
components:
  schemas:
    SuccessResultAdminDashboardView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdminDashboardView'
    AdminDashboardView:
      type: object
      properties:
        totals:
          $ref: '#/components/schemas/Totals'
        backlog:
          $ref: '#/components/schemas/Backlog'
        activity:
          $ref: '#/components/schemas/Activity'
        breakdown:
          $ref: '#/components/schemas/Breakdown'
        healthSignals:
          $ref: '#/components/schemas/HealthSignals'
    Totals:
      type: object
      properties:
        rawData:
          type: integer
          format: int64
        items:
          type: integer
          format: int64
        insights:
          type: integer
          format: int64
        memoryThreads:
          type: integer
          format: int64
        graphEntities:
          type: integer
          format: int64
        itemLinks:
          type: integer
          format: int64
    Backlog:
      type: object
      properties:
        conversationPending:
          type: integer
          format: int64
        insightUnbuilt:
          type: integer
          format: int64
        insightUngrouped:
          type: integer
          format: int64
        threadOutboxPending:
          type: integer
          format: int64
        threadOutboxFailed:
          type: integer
          format: int64
        graphBatchRepairRequired:
          type: integer
          format: int64
    Activity:
      type: object
      properties:
        days:
          type: integer
          format: int32
        rawDataCreated:
          type: array
          items:
            $ref: '#/components/schemas/DailyCount'
        itemsCreated:
          type: array
          items:
            $ref: '#/components/schemas/DailyCount'
        insightsCreated:
          type: array
          items:
            $ref: '#/components/schemas/DailyCount'
    Breakdown:
      type: object
      properties:
        sourceClients:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        rawDataTypes:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        itemTypes:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        insightTypes:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
        graphLinkTypes:
          type: array
          items:
            $ref: '#/components/schemas/NamedCount'
    HealthSignals:
      type: object
      properties:
        graphEnabled:
          type: boolean
        retrievalGraphAssistEnabled:
          type: boolean
        threadProjectionStates:
          type: array
          items:
            $ref: '#/components/schemas/StateCount'
    DailyCount:
      type: object
      properties:
        date:
          type: string
        count:
          type: integer
          format: int64
    NamedCount:
      type: object
      properties:
        name:
          type: string
        count:
          type: integer
          format: int64
    StateCount:
      type: object
      properties:
        state:
          type: string
        count:
          type: integer
          format: int64

````